ormolu-0.7.2.0: A formatter for Haskell source code

Safe Haskell | Safe-Inferred
Language | GHC2021

Ormolu.Diff.ParseResult

Description

This module allows us to diff two `ParseResult`s.

Synopsis

- data ParseResultDiff
  - = Same
  - | Different [RealSrcSpan]
- diffParseResult :: ParseResult -> ParseResult -> ParseResultDiff

# Documentation

data ParseResultDiff Source #

Result of comparing two `ParseResult`s.

Constructors

Same | Two parse results are the same
Different [RealSrcSpan] | Two parse results differ

#### Instances

Instances details

Monoid ParseResultDiff Source # |
Instance details Defined in Ormolu.Diff.ParseResult Methods mempty :: ParseResultDiff Source # mappend :: ParseResultDiff -> ParseResultDiff -> ParseResultDiff Source # mconcat :: [ParseResultDiff] -> ParseResultDiff Source #
Semigroup ParseResultDiff Source # |
Instance details Defined in Ormolu.Diff.ParseResult Methods (<>) :: ParseResultDiff -> ParseResultDiff -> ParseResultDiff Source # sconcat :: NonEmpty ParseResultDiff -> ParseResultDiff Source # stimes :: Integral b => b -> ParseResultDiff -> ParseResultDiff Source #
Show ParseResultDiff Source # |
Instance details Defined in Ormolu.Diff.ParseResult Methods showsPrec :: Int -> ParseResultDiff -> ShowS Source # show :: ParseResultDiff -> String Source # showList :: [ParseResultDiff] -> ShowS Source #

diffParseResult :: ParseResult -> ParseResult -> ParseResultDiff Source #

Return `Diff` of two `ParseResult`s.